Show / Hide Table of Contents

# UnityEventHandlerAsyncEnumerable Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public class UnityEventHandlerAsyncEnumerable : IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → UnityEventHandlerAsyncEnumerable

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Constructors

Name | Description
--- | ---
UnityEventHandlerAsyncEnumerable(UnityEvent, CancellationToken) |

#### Methods

Name | Description
--- | ---
GetAsyncEnumerator(CancellationToken) |

### Constructors

#### UnityEventHandlerAsyncEnumerable(UnityEvent, CancellationToken)

    public UnityEventHandlerAsyncEnumerable(UnityEvent unityEvent, CancellationToken cancellationToken)

##### Parameters

`unityEvent` UnityEvent
`cancellationToken` CancellationToken

### Methods

#### GetAsyncEnumerator(CancellationToken)

    public IUniTaskAsyncEnumerator<AsyncUnit> GetAsyncEnumerator(CancellationToken cancellationToken = null)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IUniTaskAsyncEnumerator<AsyncUnit>

### Implements

IUniTaskAsyncEnumerable<T>